"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPlacementStatus = void 0;
const rest_modules_1 = require("@wix/sdk-runtime/rest-modules");
const rest_modules_2 = require("@wix/sdk-runtime/rest-modules");
function resolveWixAppPluginsSitePluginsV1PluginsPlacementStatusImplUrl(opts) {
    const domainToMappings = {
        'bo._base_domain_': [
            {
                srcPath: '/_serverless/editor-platform-widget-plugins-external',
                destPath: '',
            },
        ],
        'wixbo.ai': [
            {
                srcPath: '/_serverless/editor-platform-widget-plugins-external',
                destPath: '',
            },
        ],
        'wix-bo.com': [
            {
                srcPath: '/_serverless/editor-platform-widget-plugins-external',
                destPath: '',
            },
        ],
        'www.wixapis.com': [
            {
                srcPath: '/app-plugins',
                destPath: '',
            },
        ],
        '*.dev.wix-code.com': [
            {
                srcPath: '/_serverless/editor-platform-widget-plugins-external',
                destPath: '',
            },
        ],
        'editor._base_domain_': [
            {
                srcPath: '/_serverless/editor-platform-widget-plugins-external',
                destPath: '',
            },
        ],
        'blocks._base_domain_': [
            {
                srcPath: '/_serverless/editor-platform-widget-plugins-external',
                destPath: '',
            },
        ],
        'create.editorx': [
            {
                srcPath: '/_serverless/editor-platform-widget-plugins-external',
                destPath: '',
            },
        ],
        'manage._base_domain_': [
            {
                srcPath: '/_serverless/editor-platform-widget-plugins-external',
                destPath: '',
            },
        ],
        _: [
            {
                srcPath: '/_serverless/editor-platform-widget-plugins-external',
                destPath: '',
            },
        ],
        'www._base_domain_': [
            {
                srcPath: '/_serverless/editor-platform-widget-plugins-external',
                destPath: '',
            },
        ],
        'api._api_base_domain_': [
            {
                srcPath: '/editor-platform-widget-plugins-external',
                destPath: '',
            },
        ],
    };
    return (0, rest_modules_2.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
const PACKAGE_NAME = '@wix/auto_sdk_site-plugins_plugins';
/** Get the placement statuses of your app's site plugins on the user's site. */
function getPlacementStatus(payload) {
    function __getPlacementStatus({ host }) {
        const metadata = {
            entityFqdn: 'wix.app_plugins.site_plugins.v1.placement_status',
            method: 'GET',
            methodFqn: 'wix.app_plugins.site_plugins.v1.PluginsPlacementStatusImpl.GetPlacementStatus',
            packageName: PACKAGE_NAME,
            url: resolveWixAppPluginsSitePluginsV1PluginsPlacementStatusImplUrl({
                protoPath: '/v1/site-plugins/placement-status',
                data: payload,
                host,
            }),
            params: (0, rest_modules_1.toURLSearchParams)(payload),
        };
        return metadata;
    }
    return __getPlacementStatus;
}
exports.getPlacementStatus = getPlacementStatus;
//# sourceMappingURL=app-plugins-site-plugins-v1-placement-status-plugins.http.js.map